<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>Gallery</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content>
  
  <ion-item>
    <ion-label position="floating">Batch</ion-label>
    <ion-select [(ngModel)]="GalleryObject.BatchId" name="Batch" required>
      <ion-select-option *ngFor="let batch of batchList" [value]="batch.Id">{{ batch.Name }}</ion-select-option>
    </ion-select>
  </ion-item>
  
 

  <ion-item>
    <ion-label position="floating">Course</ion-label>
    <ion-select formControlName="CourseId" name="Course">
      <ion-select-option *ngFor="let course of courseList" [value]="course.Id">{{ course.Name }}</ion-select-option>
    </ion-select>
  </ion-item>
  
  
  <ion-item>
    <ion-button expand="full" color="secondary" (click)="takeImage()">Take Picture</ion-button>
  </ion-item>
  
  <ion-item>
    <ion-button expand="full" color="secondary" (click)="getImage()">Get Picture</ion-button>
  </ion-item>
  
    
  <ion-item>
    <ion-label>
      <h4>Image Preview</h4>
    </ion-label>
    <ion-img [src]="imageURI" alt="Ionic File" width="300"></ion-img>
  </ion-item>
  
  <ion-item>
    <ion-button expand="full" (click)="uploadFile()">Upload</ion-button>
  </ion-item>
  
</ion-content>
